<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.unis.statisticalReport.info.modular.grainReserveInspectionItem.mapper.GrainReserveInspectionItemMapper">
    <select id="selectChinaList" parameterType="com.baomidou.mybatisplus.core.conditions.Wrapper" resultType="com.unis.statisticalReport.info.modular.grainReserveInspectionItem.entity.GrainReserveInspectionItem">
        SELECT
            rii.*,
            be1.enumname parentInspectionItemName
        FROM
            biz_ipad_grain_reserve_inspection_item rii
        LEFT JOIN depot_qh.basic_enum be ON rii.inspection_item_id = be.enumId
        LEFT JOIN depot_qh.basic_enum be1 ON rii.parent_inspection_item_id = be1.enumId
        ${ew.customSqlSegment}
    </select>
</mapper>